This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1461998 - Fedora 26 Regularly Logs me out to the login screen while losing the whole session (crash)
Fedora 26 Regularly Logs me out to the login screen while losing the whole se...
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 17:29 EDT by tt
Modified: 2017-07-09 00:39 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tt 2017-06-15 17:29:20 EDT
Description of problem:


Version-Release number of selected component (if applicable):
fedora 26
latest firefox

How reproducible:
>be me
>dell xps 13
>have firefox open
>maybe some Files, Chromium, Sublime Text, or Screen Record.
>after minutes to hours, get crashed/logged out and session wiped.

Steps to Reproduce:
1.
2.
3.

Actual results:
crashes, forced logout

Expected results:
never crash, never force logout

Additional info:
Please teach me how to find the relevant logs. I googled "how to file fedora bug report" "fedora crash errors" etc and it never says how to gather the errors on any of the primary hits.

This should be #1 priority to change within bugzilla's UI, and any documentation that's #1 on google for filing bugs against fedora. Because "steps to reproduce" assumes that the person experiencing the error knows the steps that led to the problem and that assumption is trash. Just make a 1-click bug report every time crashes happen (like Mac OS) that dumps the relevant logs.

When I submit this bug, it's generally worthless to the developers because:
1. they didn't build in auto error data collection into an auto bug-report feature
2. you're requiring a component, which I and probably a huge percentage of bug reporters DONT KNOW
3. I haven't included any truly helpful diagnostic info because it's nowhere in the workflow that got me to submitting this ticket.

Either:
1. Eliminate "component" as a required item.
AND
2. Collect relevant logs error info for me. I'm running Fedora, I should be able to click a button to attach the info.

OR
At least write all this shit down on the main sites people will google when trying to report bugs.
Comment 1 Jan Horak 2017-06-20 03:47:01 EDT
I'm sorry for your troubles, honestly I don't know who to address with your suggestions, however to getting a log of gnome-shell use following command:
journalctl /usr/bin/gnome-shell
scroll down and try to find out something useful.
Comment 2 tt 2017-06-22 22:41:20 EDT
Thanks Jan. It would be good to tell people to "journalctl /usr/bin/gone-shell" in the bug creation workflow. I doubt nany people reporting bugs know which thing is causing the trouble, so giving a first-step for diagnosis will save everyone time. Even better would be write Fedora to automatically include the contents ofjournalctl /usr/bin/gone-shell and one-click send to bugzilla upon crashes and forced logouts.

Here are the last screenful of lines on a recent forced logout:

Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: STACK_OP_ADD: window 0x2400001 already in stack
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: JS WARNING: [resource:///org/gnome/shell/ui/status/network.js 1897]: reference to undefined property this.
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:7:37: The style property GtkButton:child-displacement-x is deprecated
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:8:37: The style property GtkButton:child-displacement-y is deprecated
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:9:31: The style property GtkButton:default-border is deprecated and s
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:10:30: The style property GtkButton:image-spacing is deprecated and s
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:11:29: The style property GtkButton:inner-border is deprecated and sh
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:12:31: The style property GtkWidget:interior-focus is deprecated and 
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:16:38: The style property GtkCheckMenuItem:indicator-size is deprecat
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:17:32: The style property GtkExpander:expander-size is deprecated and
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:190:14: not a number
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:190:14: Expected a string.
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:260:0: Expected a valid selector
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:352:0: Expected a valid selector
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:1015:30: The style property GtkButton:image-spacing is deprecated and
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:1016:29: The style property GtkButton:inner-border is deprecated and 
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:1488:43: Expected ')' at end of 'image'
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:2466:31: Invalid name of pseudo-class
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:2494:14: not a number
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:2494:14: Expected a string.
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:2499:17: Expected a string.
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:3470:14: not a number
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:3470:14: Expected a string.
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:3475:17: Expected a string.
Jun 22 22:32:16 localhost.localdomain gnome-shell[4041]: Theme parsing error: gtk-widgets.css:4078:25: Invalid name of pseudo-class
Jun 22 22:32:17 localhost.localdomain gnome-shell[4041]: GNOME Shell started at Thu Jun 22 2017 22:32:14 GMT-0400 (EDT)
Jun 22 22:32:19 localhost.localdomain org.gnome.Shell.desktop[4041]: ATTENTION: default value of option force_s3tc_enable overridden by environment.
Jun 22 22:32:19 localhost.localdomain org.gnome.Shell.desktop[4041]: ATTENTION: default value of option force_s3tc_enable overridden by environment.
Jun 22 22:32:19 localhost.localdomain org.gnome.Shell.desktop[4041]: 1498185139886        addons.webextension.chrome-gnome-shell@gnome.org        WARN        Loadi
Jun 22 22:32:19 localhost.localdomain org.gnome.Shell.desktop[4041]: 1498185139894        addons.webextension.chrome-gnome-shell@gnome.org        WARN        Loadi
Jun 22 22:32:19 localhost.localdomain org.gnome.Shell.desktop[4041]: 1498185139894        addons.webextension.chrome-gnome-shell@gnome.org        WARN        Loadi
Jun 22 22:32:34 localhost.localdomain gnome-shell[4041]: JS WARNING: [resource:///org/gnome/shell/ui/dash.js 760]: reference to undefined property oldApps[oldIndex
Jun 22 22:32:34 localhost.localdomain gnome-shell[4041]: JS WARNING: [resource:///org/gnome/shell/ui/appDisplay.js 1298]: reference to undefined property this.name
Jun 22 22:34:46 localhost.localdomain gnome-shell[4041]: JS WARNING: [resource:///org/gnome/shell/ui/popupMenu.js 502]: reference to undefined property child._dele
Jun 22 22:34:46 localhost.localdomain gnome-shell[4041]: JS WARNING: [resource:///org/gnome/shell/ui/popupMenu.js 24]: reference to undefined property child._deleg
lines 3428-3462/3462 (END)
Comment 3 tt 2017-06-23 00:05:34 EDT
Happened 2 more times in a row a few minutes later:

Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:11:
Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:12:
Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:190
Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:190
Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:260
Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:352
Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:101
Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:101
Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:148
Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:246
Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:249
Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:249
Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:249
Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:347
Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:347
Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:347
Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:407
Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: STACK_OP_ADD: window 0x2000001 already i
Jun 22 23:59:40 localhost.localdomain gnome-shell[7069]: STACK_OP_ADD: window 0x2000001 already i
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: JS WARNING: [resource:///org/gnome/shell
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:7:3
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:8:3
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:9:3
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:10:
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:11:
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:12:
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:16:
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:17:
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:190
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:190
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:260
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:352
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:101
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:101
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:148
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:246
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:249
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:249
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:249
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:347
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:347
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:347
Jun 22 23:59:41 localhost.localdomain gnome-shell[7069]: Theme parsing error: gtk-widgets.css:407
Jun 22 23:59:42 localhost.localdomain gnome-shell[7069]: GNOME Shell started at Thu Jun 22 2017 2
lines 3578-3621/3624 100%


Should note I switched themes 3 days ago when I suspected a theme of causing trouble. Looks like the other theme might also be causing the forced logouts? Not clear... I'll try default theme for a few hours/days, see if I still get logged out.
Comment 4 tt 2017-06-23 02:19:13 EDT
So didn't have to wait long for the default theme to force logout.

So far, I have narrowed down that this problem is not specific to any of 3 themes, including default.

It's not specific to any kernel, as I've used 2 or 3 of the most recent kernels.

It's not specific to 25 nor 26, as I've experienced it in both.

It's not specific to any obvious app combo. I've had just Firefox, Firefox and videos, Firefox+videos+Files, just Files, Chromium+files, just Chromium, Chromium+videos, etc.

It doesn't happen in response to any obvious behavior on my part. It'll come out of the blue, in the middle of doing boring tasks that didn't crash it for many minutes of the same task, or while doing nothing at all.

Just brutal. Gotta say Fedora is feeling pretty pathetic. It's my first week using it, and this issue makes getting work done nearly impossible. Soon to return to Ubuntu or move on to another distro if I can't find a fix for this ASAP.

Jun 23 01:51:42 localhost.localdomain org.gnome.Shell.desktop[7069]: [GFX1-]: ClientLayerManager::BeginTransaction with IPC channel down. GPU process may have died.
Jun 23 01:51:42 localhost.localdomain org.gnome.Shell.desktop[7069]: [GFX1-]: ClientLayerManager::BeginTransaction with IPC channel down. GPU process may have died.
Jun 23 01:51:42 localhost.localdomain org.gnome.Shell.desktop[7069]: [GFX1-]: ClientLayerManager::BeginTransaction with IPC channel down. GPU process may have died.
Jun 23 01:51:42 localhost.localdomain org.gnome.Shell.desktop[7069]: [GFX1-]: ClientLayerManager::BeginTransaction with IPC channel down. GPU process may have died.
Jun 23 01:51:42 localhost.localdomain org.gnome.Shell.desktop[7069]: [GFX1-]: ClientLayerManager::BeginTransaction with IPC channel down. GPU process may have died.
Jun 23 01:51:42 localhost.localdomain org.gnome.Shell.desktop[7069]: [GFX1-]: ClientLayerManager::BeginTransaction with IPC channel down. GPU process may have died.
Jun 23 01:51:43 localhost.localdomain org.gnome.Shell.desktop[7069]: [GFX1-]: ClientLayerManager::BeginTransaction with IPC channel down. GPU process may have died.
Jun 23 01:51:43 localhost.localdomain org.gnome.Shell.desktop[7069]: [GFX1-]: ClientLayerManager::BeginTransaction with IPC channel down. GPU process may have died.
Jun 23 01:51:44 localhost.localdomain org.gnome.Shell.desktop[7069]: [GFX1-]: ClientLayerManager::BeginTransaction with IPC channel down. GPU process may have died.
Jun 23 01:51:44 localhost.localdomain org.gnome.Shell.desktop[7069]: [GFX1-]: ClientLayerManager::BeginTransaction with IPC channel down. GPU process may have died.
Jun 23 01:51:44 localhost.localdomain org.gnome.Shell.desktop[7069]: [GFX1-]: ClientLayerManager::BeginTransaction with IPC channel down. GPU process may have died.
Jun 23 01:51:44 localhost.localdomain org.gnome.Shell.desktop[7069]: [GFX1-]: ClientLayerManager::BeginTransaction with IPC channel down. GPU process may have died.
Jun 23 01:51:44 localhost.localdomain org.gnome.Shell.desktop[7069]: [GFX1-]: ClientLayerManager::BeginTransaction with IPC channel down. GPU process may have died.
Jun 23 02:11:31 localhost.localdomain org.gnome.Shell.desktop[7069]: **
Jun 23 02:11:31 localhost.localdomain org.gnome.Shell.desktop[7069]: Gjs:ERROR:./gjs/jsapi-util-root.h:317:void GjsMaybeOwned<T>::trace(JSTracer*, const char*) [with T = JS::Va
Jun 23 02:11:31 localhost.localdomain audit[7069]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=7 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=7069 comm="gnome-
Jun 23 02:11:40 localhost.localdomain org.gnome.Shell.desktop[9286]: glamor: EGL version 1.4 (DRI2):
Jun 23 02:11:40 localhost.localdomain gnome-shell[9286]: JS WARNING: [resource:///org/gnome/shell/ui/main.js 317]: reference to undefined property global.stage
Jun 23 02:11:40 localhost.localdomain gnome-shell[9286]: JS WARNING: [resource:///org/gnome/shell/ui/layout.js 217]: reference to undefined property global.window_group
Jun 23 02:11:40 localhost.localdomain gnome-shell[9286]: JS WARNING: [resource:///org/gnome/shell/ui/layout.js 899]: reference to undefined property this.monitors[this.findInde
Jun 23 02:11:40 localhost.localdomain gnome-shell[9286]: JS WARNING: [resource:///org/gnome/shell/ui/osdMonitorLabeler.js 59]: reference to undefined property Meta.MonitorManag
Jun 23 02:11:40 localhost.localdomain gnome-shell[9286]: JS WARNING: [resource:///org/gnome/shell/ui/panel.js 1107]: reference to undefined property indicator.menu._openChanged
Jun 23 02:11:41 localhost.localdomain gnome-shell[9286]: JS WARNING: [resource:///org/gnome/shell/ui/slider.js 34]: reference to undefined property St.GenericAccessible
Jun 23 02:11:41 localhost.localdomain gnome-shell[9286]: JS WARNING: [resource:///org/gnome/gjs/modules/tweener/tweener.js 538]: reference to undefined property properties[istr
Jun 23 02:11:41 localhost.localdomain gnome-shell[9286]: JS WARNING: [resource:///org/gnome/shell/ui/search.js 436]: reference to undefined property provider.isRemoteProvider
Jun 23 02:11:41 localhost.localdomain gnome-shell[9286]: WARNING: addSignalMethods is replacing existing [0x5600a73aec40 Gjs_ShowAppsIcon.dash-item-container] connect method
Jun 23 02:11:41 localhost.localdomain gnome-shell[9286]: WARNING: addSignalMethods is replacing existing [0x5600a73aec40 Gjs_ShowAppsIcon.dash-item-container] disconnect method
Jun 23 02:11:41 localhost.localdomain gnome-shell[9286]: WARNING: addSignalMethods is replacing existing [0x5600a73aec40 Gjs_ShowAppsIcon.dash-item-container] emit method
Jun 23 02:11:41 localhost.localdomain gnome-shell[9286]: JS WARNING: [resource:///org/gnome/shell/misc/ibusManager.js 196]: reference to undefined property this._engines[id]
Jun 23 02:11:41 localhost.localdomain gnome-shell[9286]: Error looking up permission: GDBus.Error:org.freedesktop.portal.Error.NotFound: No entry for geolocation
Jun 23 02:11:42 localhost.localdomain gnome-shell[9286]: JS WARNING: [/home/thomas/.local/share/gnome-shell/extensions/dash-to-dock@micxgx.gmail.com/dash.js 781]: reference to 
Jun 23 02:11:42 localhost.localdomain gnome-shell[9286]: STACK_OP_ADD: window 0x2000001 already in stack
Jun 23 02:11:42 localhost.localdomain gnome-shell[9286]: STACK_OP_ADD: window 0x2000001 already in stack
Jun 23 02:11:42 localhost.localdomain gnome-shell[9286]: JS WARNING: [resource:///org/gnome/shell/ui/status/network.js 1897]: reference to undefined property this._mainConnecti
Jun 23 02:11:43 localhost.localdomain gnome-shell[9286]: GNOME Shell started at Fri Jun 23 2017 02:11:41 GMT-0400 (EDT)
Jun 23 02:11:55 localhost.localdomain gnome-shell[9286]: JS WARNING: [resource:///org/gnome/shell/ui/panel.js 342]: reference to undefined property this.menu.actionGroup
Jun 23 02:11:56 localhost.localdomain org.gnome.Shell.desktop[9286]: ATTENTION: default value of option force_s3tc_enable overridden by environment.
Jun 23 02:11:56 localhost.localdomain org.gnome.Shell.desktop[9286]: ATTENTION: default value of option force_s3tc_enable overridden by environment.
Jun 23 02:11:56 localhost.localdomain org.gnome.Shell.desktop[9286]: 1498198316698        addons.webextension.chrome-gnome-shell@gnome.org        WARN        Loading extension 
Jun 23 02:11:56 localhost.localdomain org.gnome.Shell.desktop[9286]: 1498198316707        addons.webextension.chrome-gnome-shell@gnome.org        WARN        Loading extension 
Jun 23 02:11:56 localhost.localdomain org.gnome.Shell.desktop[9286]: 1498198316707        addons.webextension.chrome-gnome-shell@gnome.org        WARN        Loading extension 
Jun 23 02:12:01 localhost.localdomain gnome-shell[9286]: JS WARNING: [resource:///org/gnome/shell/ui/dash.js 760]: reference to undefined property oldApps[oldIndex]
Jun 23 02:12:01 localhost.localdomain gnome-shell[9286]: JS WARNING: [resource:///org/gnome/shell/ui/appDisplay.js 1298]: reference to undefined property this.name
Comment 5 Jan Horak 2017-06-23 07:32:20 EDT
I don't think it is a Firefox issue. What GPU do you have? Do you see any interesting stuff in dmesg after the crash?

Let's try the gnome-shell guys.
Comment 6 Florian Müllner 2017-06-23 09:01:32 EDT
This looks like the likely source of the crash:

Jun 23 02:11:31 localhost.localdomain org.gnome.Shell.desktop[7069]: Gjs:ERROR:./gjs/jsapi-util-root.h:317:void GjsMaybeOwned<T>::trace(JSTracer*, const char*) [with T = JS::Va

What gjs version do you have installed? There have been various crash fixes recently, so if you aren't using 1.48.4 already, there's a chance that the latest version in updates-testing provides a fix ...
Comment 7 tt 2017-06-26 13:44:41 EDT
Here's the purest crash yet. Rebooted system last night, so nothing running. Woke it up, logged in, and was immediately logged out. So just a few seconds of existence and an instantaneous logout. Should help with isolating the problems.

Jun 26 13:33:56 localhost.localdomain gnome-shell[9967]: GNOME Shell started at Mon Jun 26 2017 13:33:53 GMT-0400 (EDT)
Jun 26 13:34:01 localhost.localdomain gnome-shell[9967]: JS WARNING: [resource:///org/gnome/shell/gdm/util.js 331]: reference to undefined property this._preemptingSer
Jun 26 13:34:02 localhost.localdomain gnome-shell[9967]: WARNING: addSignalMethods is replacing existing [0x55c97f3b3a10 Gjs_ShowAppsIcon.dash-item-container] connect 
Jun 26 13:34:02 localhost.localdomain gnome-shell[9967]: WARNING: addSignalMethods is replacing existing [0x55c97f3b3a10 Gjs_ShowAppsIcon.dash-item-container] disconne
Jun 26 13:34:02 localhost.localdomain gnome-shell[9967]: WARNING: addSignalMethods is replacing existing [0x55c97f3b3a10 Gjs_ShowAppsIcon.dash-item-container] emit met
~


@Jan It isn't a Firefox issue. It happens with FF open or closed, Chromium instead of FF, no browser at all, etc. I have built-in 6200U's integrated graphics, which I believe is known as Intel 520. dmesg is too verbose for a newb like me to know what may or may not be interesting. Please guide me through interpreting dmesg results for what counts as "interesting".

@Florian
gjs-1.48.3-2.fc26.x86_64
I haven't touched this. So it's always been whatever gjs comes with Fedora 25/26
and/or the most recent couple kernels. I don't think it's reasonable to install a custom newer version of gjs. I'm a newb using the most recent vanilla Fedora installations and kernels on an extremely common hardware, the XPS 13, so this really should not be necessary. I'm sure hundreds if not thousands of people have used my hardware with Fedora 23, 24, 25 vanilla installations without suffering this bug in the past. If they had, they'd blog about how Fedora sucks and have moved on to another distro or there'd be an easily google-able fix. If you want though, teach me what commands to install the latest testing version of gjs and we can experiment if that fixes this problem.
Comment 8 Florian Müllner 2017-06-26 14:32:29 EDT
(In reply to tt from comment #7)
> Here's the purest crash yet. Rebooted system last night, so nothing running.
> Woke it up, logged in, and was immediately logged out. So just a few seconds
> of existence and an instantaneous logout. Should help with isolating the
> problems.

Did you intend to attach a backtrace? The warnings you quote should be harmless ...

> Jun 26 13:34:02 localhost.localdomain gnome-shell[9967]: WARNING:
> addSignalMethods is replacing existing [0x55c97f3b3a10
> Gjs_ShowAppsIcon.dash-item-container] connect 
> Jun 26 13:34:02 localhost.localdomain gnome-shell[9967]: WARNING:
> addSignalMethods is replacing existing [0x55c97f3b3a10
> Gjs_ShowAppsIcon.dash-item-container] disconne
> Jun 26 13:34:02 localhost.localdomain gnome-shell[9967]: WARNING:
> addSignalMethods is replacing existing [0x55c97f3b3a10
> Gjs_ShowAppsIcon.dash-item-container] emit met

... and those shouldn't even come from gnome-shell in the first place. Are you using the dash-to-dock extension?


> @Florian
> gjs-1.48.3-2.fc26.x86_64
> I haven't touched this. So it's always been whatever gjs comes with Fedora
> 25/26
> and/or the most recent couple kernels. I don't think it's reasonable to
> install a custom newer version of gjs.

I didn't ask you to install a random gjs package, but a version that is currently being tested as an update for Fedora 26. If you don't want to do that that's fine, but you'll have to wait until the package hits Fedora's update servers then.


> I'm sure hundreds if not thousands of people have used my hardware with 
> Fedora 23, 24, 25 vanilla installations without suffering this bug in the past.

Between Fedora 25 and Fedora 26, gjs updated the version of the javascript engine it is based on (twice actually). That's a fairly big change that involved changes to lots of gjs' internals, including its memory management. Big changes unfortunately also mean more opportunities for bugs to sneak in, so this release has been less stable than previous versions, even though upstream is very active in tracking down and fixing bugs.

In any case, the log cited in comment #6 is the most likely reason of the crash you were seeing, and it clearly points to gjs. To figure out whether it is a known issue that has been fixed or a new one that needs further investigation, we'll have to wait until you update to gjs 1.48.4.
Comment 9 tt 2017-06-27 16:05:54 EDT
"Did you intend to attach a backtrace? The warnings you quote should be harmless"
Teach me how. I have no idea what that means.

"Are you using the dash-to-dock extension?"
Yes. Do you think that's causing the crashes?

I need step-by-step instructions to install the testing gjs. I have no idea why I would need to upgrade this when using standard Fedora on one of the most mainstream machines. Is everyone with a Dell XPS 13 having forced logouts on Fedora 25/26? Seems they aren't, because there's no easily Googleable trail of the numerous XPS 13 Fedora users complaining about this issue. Why are they able to use the same hardware and normal gjs and not get forced logouts but I do?
Comment 10 Florian Müllner 2017-06-27 16:55:52 EDT
(In reply to tt from comment #9)
> "Are you using the dash-to-dock extension?"
> Yes. Do you think that's causing the crashes?

No. It's the source of most of the warnings you pasted in comment #7, but as mentioned before, those should be harmless.


> I need step-by-step instructions to install the testing gjs.

# dnf --enablerepo updates-testing update gjs


> I have no idea why I would need to upgrade this when using standard Fedora 
> on one of the most mainstream machines.

Because software has bugs, and not all bugs are caught in time of a Fedora pre-release (or even release). That's why there are system updates.


> Is everyone with a Dell XPS 13 having forced logouts on Fedora 25/26?

If the gjs memory handling is indeed to blame for the crashes you are seeing, then:

 1) the hardware doesn't matter at all, but
    settings/extensions/etc can make a difference
    on how likely/frequent those issues are hit
    (or even a particular workflow)
 2) the major gjs changes in question never made it
    into Fedora 25, so I don't know why you keep
    bringing that up

Also as far as I know, neither GNOME's nor Fedora's bugzilla are indexed by google, so it's not that surprising that you missed the many bugs that *were* filed ...
Comment 11 tt 2017-06-27 17:11:04 EDT
Im running the gjs update command, will let you know if it solves the crashing.

Is there a command I should run to "backtrace"?

Could you link me to the other bugs filed on this issue? I should probably learn from them first.
Comment 12 tt 2017-06-30 01:53:29 EDT
Nope. Just crashed.

Here's the last few lines of output:

Jun 30 01:50:47 localhost.localdomain gnome-shell[24794]: Theme parsing error: gtk-widgets.css:3470:14: not a number
Jun 30 01:50:47 localhost.localdomain gnome-shell[24794]: Theme parsing error: gtk-widgets.css:3470:14: Expected a string.
Jun 30 01:50:47 localhost.localdomain gnome-shell[24794]: Theme parsing error: gtk-widgets.css:3475:17: Expected a string.
Jun 30 01:50:47 localhost.localdomain gnome-shell[24794]: Theme parsing error: gtk-widgets.css:4078:25: Invalid name of pseudo-class
Jun 30 01:50:48 localhost.localdomain gnome-shell[24794]: GNOME Shell started at Fri Jun 30 2017 01:50:45 GMT-0400 (EDT)
Jun 30 01:50:51 localhost.localdomain org.gnome.Shell.desktop[24794]: ATTENTION: default value of option force_s3tc_enable overridden by environment.
Jun 30 01:50:51 localhost.localdomain org.gnome.Shell.desktop[24794]: ATTENTION: default value of option force_s3tc_enable overridden by environment.
Jun 30 01:50:52 localhost.localdomain org.gnome.Shell.desktop[24794]: 1498801852604        addons.webextension.chrome-gnome-shell@gnome.org        WARN        Loading extensio
Jun 30 01:50:52 localhost.localdomain org.gnome.Shell.desktop[24794]: 1498801852613        addons.webextension.chrome-gnome-shell@gnome.org        WARN        Loading extensio
Jun 30 01:50:52 localhost.localdomain org.gnome.Shell.desktop[24794]: 1498801852613        addons.webextension.chrome-gnome-shell@gnome.org        WARN        Loading extensio
Jun 30 01:51:06 localhost.localdomain gnome-shell[24794]: JS WARNING: [resource:///org/gnome/shell/ui/dash.js 760]: reference to undefined property oldApps[oldIndex]
Jun 30 01:51:06 localhost.localdomain gnome-shell[24794]: JS WARNING: [resource:///org/gnome/shell/ui/appDisplay.js 1298]: reference to undefined property this.name

How do I roll back my gjs to regular gjs? That didn't fix the problem.

Please teach me what commands to run to backtrace if that will help diagnose the problem.
Comment 13 tt 2017-07-09 00:39:26 EDT
Guess I gotta go back to Ubuntu. No fix or easy googleable self-help for a catastrophic bug.

I don't know if you guys want to gain laptop linux market share, but if you are, study this story of a user lost, because I'm sure many more people are leaving much more quietly.

I was really excited for Fedora.

Note You need to log in before you can comment on or make changes to this bug.